<?xml version="1.0"?>
<!-- @AutoRun -->

<OBJECTS name="">
    <NODE name="Script" factory="Vector">
        
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation">
            <tableName factory="String">oneit_sec_privilege</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="TL_AccessAdminPortal"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='name' factory='String'>TL_AccessAdminPortal</value>
            <value name='description' factory='String'>Can access admin portal</value>
            <value name='category' factory='String'>Talentology</value>
            <value name='grant_priv_name' factory='Null'/>
        </NODE>
        
        <NODE name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation" query="select object_id roleid from oneit_sec_role where name='TL_Client'">
            <tableName factory="String">oneit_sec_role_priv_link</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='role_id' factory='Participant' class="oneit.sql.transfer.InsertOperation$QueryColumn"  column="roleid"/>
            <value name='priv_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"        keyName="TL_AccessAdminPortal"/>
        </NODE>
    </NODE>
</OBJECTS>